# __gnu_cxx::_Slist_iterator_base Struct Reference

Inheritance diagram for __gnu_cxx::_Slist_iterator_base:

List of all members.

## Detailed Description

Definition at line 159 of file slist.

## Public Types

- typedef ptrdiff_t difference_type
- typedef std::forward_iterator_tag iterator_category
- typedef size_t size_type

## Public Member Functions

- void _M_incr ()
- _Slist_iterator_base (_Slist_node_base *__x)
- bool operator!= (const _Slist_iterator_base &__x) const
- bool operator== (const _Slist_iterator_base &__x) const

## Public Attributes

- _Slist_node_base * _M_node

The documentation for this struct was generated from the following file:

- slist